サポート » プラグイン » WP Favorite Postsがphp7からは使えないのですか

  • 解決済 konan2017

    (@konan2017)


    お世話になります。
    WP Favorite Postsを使用したいと思いプラグインを入れたのですが
    php7.1だとお気に入りを追加するをクリックしてもそこから先に進めない状態です。
    (GIF画像がクルクルいつまでも回っている状態です)
    それで
    phpを5.6にしたら使えるようにはなったのですが
    php7で使えるようにするにはどのようにすれば良いでしょうか!?

    他にも何か同じプラグインがあれば教えて下さい!
    検索しても見つけることができませんでした。
    宜しくお願いします。

3件の返信を表示中 - 1 - 3件目 (全3件中)
  • php7で使えるようにするにはどのようにすれば良いでしょうか!?

    プラグイン作者に確認してみるのが一番確実かなと思います。
    作者は日本人ではないようなので、もし、直接尋ねるのが大変、ということであれば、konan2017さんに、このプラグインを紹介した人に聞いてみたらどうでしょうか。

    こんにちは

    2年以上メンテされていないので、PHP7に対応する修正ができていないんですね。
    プラグインの以下の部分を修正してはどうでしょうか。
    私の環境では動きました。

    wp-favorite-posts.php
    376行目
    $val = $oldval + $val;

    $val = (int) $oldval + $val;

    今後、プラグインがアップデートされた際にはこの変更は上書きされて修正箇所がなくなってしまいますが、このプラグインが次回アップデートされる場合にはPHP7に対応してるので、アップデートしても問題ない気がします。

    あ、私は他の同機能のプラグインは知りません・・・

    Fumito MIZUNO さん
    munyagu さん
    ありがとございます!
    munyaguさんの教えて頂いた通りやったら7.1で動くようになりました。
    これですっきりしました。
    本当にありがとございました!!

3件の返信を表示中 - 1 - 3件目 (全3件中)
  • トピック「WP Favorite Postsがphp7からは使えないのですか」には新たに返信することはできません。